Subject: bug#21700: new snapshot available: grep-2.21.78-7da30

From: Paul Eggert <[email-masked]>
Date: Sat, 17 Oct 2015 23:34:16 -0700

I ran into a problem with this release on Solaris 10 with Sun C 5.13:

   CC       fts.o
"fts.c", line 1915: warning: type of struct member "__b" can not be derived fro\
m structure with flexible array member
"fts.c", line 1915: warning: type of struct member "__b" can not be derived fro\
m structure with flexible array member

This is due to the use of Gnulib alignof to calculate the alignment of a struct 
with a flexible array member; the Gnulib implementation doesn't support this on 
C99 (it violates a C99 constraint).  I'll look into a workaround within fts.

I did manage a build on AIX with xlc; works OK.